Get experiment job history
import requests
url = "https://{FUSION HOST}/api/experiments/{id}/history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"experiment": {
"id": "<string>",
"description": "<string>",
"uniqueIdParameter": "<string>",
"baseSignalsCollection": "<string>",
"variants": [
{
"id": "<string>",
"name": "<string>",
"collection": "<string>",
"queryPipeline": "<string>",
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"weight": 123
}
],
"automaticallyAdjustTraffic": true,
"enabled": true,
"startTimestamp": "2023-11-07T05:31:56Z",
"runId": "<string>",
"metrics": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"jobId": "<string>",
"binary": true,
"primary": true
}
]
},
"experimentStartDate": "2023-11-07T05:31:56Z",
"experimentEndDate": "2023-11-07T05:31:56Z"
}
]Get experiment job history
Get the job histories for an experiment
GET
/
experiments
/
{id}
/
history
Get experiment job history
import requests
url = "https://{FUSION HOST}/api/experiments/{id}/history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"experiment": {
"id": "<string>",
"description": "<string>",
"uniqueIdParameter": "<string>",
"baseSignalsCollection": "<string>",
"variants": [
{
"id": "<string>",
"name": "<string>",
"collection": "<string>",
"queryPipeline": "<string>",
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"weight": 123
}
],
"automaticallyAdjustTraffic": true,
"enabled": true,
"startTimestamp": "2023-11-07T05:31:56Z",
"runId": "<string>",
"metrics": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"jobId": "<string>",
"binary": true,
"primary": true
}
]
},
"experimentStartDate": "2023-11-07T05:31:56Z",
"experimentEndDate": "2023-11-07T05:31:56Z"
}
]Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The experiment ID.
Was this page helpful?
⌘I